Subject: Re: [PATCH v2 0/3] Remove the USB EP configuration from device tree

From: Gregory CLEMENT <[email-masked]>
Date: Thu, 07 May 2020 18:01:01 +0200

Sorry I forgot to add back the title of the series which was:

"Remove the USB EP configuration from device tree"

Gregory

Gregory CLEMENT <[email-masked]> writes:

> Hello,
>
> A few month ago this series was sent and has not been merged while it
> didn't have anything against it. I've ported the series onto v5.7-rc1,
> added the acked by and reviewed by received on the first series and
> took into account the comment from Robin Murphy for the last patch.
>
> For the record this the original cover letter explaining the purpose
> of this series:
>
> The Atmel USB device controller is the only one having the description
> of the End Point configuration in the device tree.
>
> This configuration depend on the version of the controller used in the
> SoC. This variation is already documented by the compatible string of
> the controller.
>
> In this series the configuration is associated to the compatible
> string which allows to remove the EP child node from the device
> tree. The main benefit of it, beyond the simplification of the device
> tree, is the reduction of the size of the dtb which was too big to be
> managed by the bootloader.
>
> The first two patches should be merged through the USB subsystem while
> the last one should be take by the a91 subsystem. Moreover this last
> patch should be merged only once the change in the driver is merged.
>
> Gregory
>
> Gregory CLEMENT (3):
>   usb: gadget: udc: atmel: Don't use DT to configure end point
>   dt-bindings: usb: atmel: Mark EP child node as deprecated
>   ARM: dts: at91: Remove the USB EP child node
>
>  .../devicetree/bindings/usb/atmel-usb.txt     |  56 +-------
>  arch/arm/boot/dts/at91sam9g45.dtsi            |  54 --------
>  arch/arm/boot/dts/at91sam9rl.dtsi             |  54 --------
>  arch/arm/boot/dts/at91sam9x5.dtsi             |  54 --------
>  arch/arm/boot/dts/sama5d2.dtsi                | 120 ------------------
>  arch/arm/boot/dts/sama5d3.dtsi                | 107 ----------------
>  arch/arm/boot/dts/sama5d4.dtsi                | 120 ------------------
>  drivers/usb/gadget/udc/atmel_usba_udc.c       | 112 ++++++++++------
>  drivers/usb/gadget/udc/atmel_usba_udc.h       |  12 ++
>  9 files changed, 87 insertions(+), 602 deletions(-)
>
> -- 
> 2.26.2
>

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel